package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Cost_sheet_uploadRepository;
import com.realnet.vpspack.Entity.Cost_sheet_upload
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;














	import org.springframework.stereotype.Service;

@Service
 public class Cost_sheet_uploadService {
@Autowired
private Cost_sheet_uploadRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;













public Cost_sheet_upload Savedata(Cost_sheet_upload data) {














	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Cost_sheet_upload save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Cost_sheet_upload> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Cost_sheet_upload> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Cost_sheet_upload> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Cost_sheet_upload getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Cost_sheet_upload update(Cost_sheet_upload data,Integer id) {
	Cost_sheet_upload old = Repository.findById(id).get();
 

old.setDate(data.getDate());

old.setName(data.getName());

old.setNationality(data.getNationality());

old.setPassport_type(data.getPassport_type());

old.setPassport_number(data.getPassport_number());

old.setCost(data.getCost());

final Cost_sheet_upload test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 














 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
